package com.cf.imes.module.system.validation.invoice;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.pay.InvoiceIssueTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * @author Gqr
 * @since 2025/10/29 10:08
 */
class InvoiceIssueTypeValidtorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        InvoiceIssueTypeValidtor validator = new InvoiceIssueTypeValidtor();
        assertTrue(validator.isValid(InvoiceIssueTypeEnum.ENTERPRISE.getValue(), constraintValidatorContext));
        assertTrue(validator.isValid(InvoiceIssueTypeEnum.PERSONAL.getValue(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(100, constraintValidatorContext));
    }
}
